1. Cluster Management
Peladen
  • Peladen
    • Welcome to Peladen
  • Cluster Management
    • Create Your First Cluster
    • Cluster Management
      • Register Node
        POST
      • Configure Node
        POST
      • Unregister Node
        POST
      • Get Node Metrics
        GET
      • Get Cluster Usage
        GET
  • Database Management
    • Database Management
      • Provision Database
      • Suspend Database
      • Teardown Database
      • Database Metering
  • Object Storage Management
    • Storage: Daily Operation
      • Generate Upload URL
      • Generate Download URL
      • Delete File
      • Get End User Usage
    • Storage: Admin Management
      • Configure Storage Backend
      • Storage Status
      • Storage Usage
      • Update End User Quota
  1. Cluster Management

Configure Node

Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/cluster
Sandbox Env
https://api-sandbox.usepeladen.com/api/v1/cluster
POST
/api/v1/cluster/configure
[TBD] Update configuration for a specific node

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-sandbox.usepeladen.com/api/v1/cluster/api/v1/cluster/configure' \
--header 'Content-Type: application/json' \
--data-raw '{
    "end_user_id": "string",
    "node_id": "string",
    "config": null
}'
Response Response Example
200 - Example 1
{
    "message": "string",
    "node": {
        "id": "string",
        "clusterId": "string",
        "nodeId": "string",
        "name": "string",
        "config": "string",
        "status": "string",
        "metrics": "string",
        "lastSeenAt": null
    }
}
Modified at 2026-03-21 13:13:00
Previous
Register Node
Next
Unregister Node
Built with